Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.beans
Class NullPropertyPointer

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.model.NodePointer
            |
            +--org.apache.commons.jxpath.ri.model.beans.PropertyPointer
                  |
                  +--org.apache.commons.jxpath.ri.model.beans.NullPropertyPointer

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, Pointer, java.io.Serializable

public class NullPropertyPointer
extends PropertyPointer

Version:
  $Revision: 1.13 $ $Date: 2003/03/11 00:59:25 $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Fields inherited from class org.apache.commons.jxpath.ri.model.beans.PropertyPointer
`bean, propertyIndex, UNSPECIFIED_PROPERTY`

Fields inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`index, locale, parent, UNKNOWN_NAMESPACE, WHOLE_COLLECTION`

Constructor Summary
`NullPropertyPointer(NodePointer parent)`

Method Summary
`java.lang.String` | `asPath()` Returns an XPath that maps to this Pointer.
`NodePointer` | `createChild(JXPathContext context, QName name, int index)` Called by a child pointer when it needs to create a parent object for a non-existent collection element.
`NodePointer` | `createChild(JXPathContext context, QName name, int index, java.lang.Object value)` Called by a child pointer if that child needs to assign the value supplied in the createPath(context, value) call to a non-existent node.
`NodePointer` | `createPath(JXPathContext context)` Called by a child pointer when it needs to create a parent object.
`NodePointer` | `createPath(JXPathContext context, java.lang.Object value)` Called directly by JXPathContext.
`java.lang.Object` | `getBaseValue()` Returns the value represented by the pointer before indexing.
`java.lang.Object` | `getImmediateNode()` Returns the object the pointer points to; does not convert it to a "canonical" type.
`int` | `getLength()` If the property contains a collection, then the length of that collection, otherwise - 1.
`QName` | `getName()` Returns the name of this node.
`int` | `getPropertyCount()`
`java.lang.String` | `getPropertyName()`
`java.lang.String[]` | `getPropertyNames()`
`NodePointer` | `getValuePointer()` If this pointer manages a transparent container, like a variable, this method returns the pointer to the contents.
`boolean` | `isActual()` An actual pointer points to an existing part of an object graph, even if it is null.
`protected boolean` | `isActualProperty()`
`boolean` | `isCollection()` Returns `true` if the value of the pointer is an array or a Collection.
`boolean` | `isContainer()` If true, this node is axiliary and can only be used as an intermediate in the chain of pointers.
`boolean` | `isLeaf()` If true, this node does not have children
`void` | `setNameAttributeValue(java.lang.String attributeValue)`
`void` | `setPropertyIndex(int index)`
`void` | `setPropertyName(java.lang.String propertyName)`
`void` | `setValue(java.lang.Object value)` Converts the value to the required type and changes the corresponding object to that value.

Methods inherited from class org.apache.commons.jxpath.ri.model.beans.PropertyPointer
`compareChildNodePointers, equals, getBean, getImmediateValuePointer, getPropertyIndex, hashCode`

Methods inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`attributeIterator, childIterator, clone, compareTo, createAttribute, getDefaultNamespaceURI, getExpandedName, getIndex, getLocale, getNamespaceURI, getNamespaceURI, getNode, getNodeValue, getParent, getPointerByID, getPointerByKey, getRootNode, getValue, isAttribute, isDefaultNamespace, isLanguage, isNode, isRoot, namespaceIterator, namespacePointer, newChildNodePointer, newNodePointer, printPointerChain, remove, setAttribute, setIndex, testNode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NullPropertyPointer

    public NullPropertyPointer(NodePointer parent)

Method Detail

### getName

    public QName getName()

  Description copied from class: `NodePointer`
  Returns the name of this node. Can be null.
  Overrides:
    `getName` in class `PropertyPointer`

### setPropertyIndex

    public void setPropertyIndex(int index)

  Overrides:
    `setPropertyIndex` in class `PropertyPointer`

### getLength

    public int getLength()

  Description copied from class: `PropertyPointer`
  If the property contains a collection, then the length of that collection, otherwise - 1.
  Overrides:
    `getLength` in class `PropertyPointer`

### getBaseValue

    public java.lang.Object getBaseValue()

  Description copied from class: `NodePointer`
  Returns the value represented by the pointer before indexing. So, if the node represents an element of a collection, this method returns the collection itself.
  Overrides:
    `getBaseValue` in class `NodePointer`

### getImmediateNode

    public java.lang.Object getImmediateNode()

  Description copied from class: `NodePointer`
  Returns the object the pointer points to; does not convert it to a "canonical" type.
  Overrides:
    `getImmediateNode` in class `PropertyPointer`

### isLeaf

    public boolean isLeaf()

  Description copied from class: `NodePointer`
  If true, this node does not have children
  Overrides:
    `isLeaf` in class `PropertyPointer`

### getValuePointer

    public NodePointer getValuePointer()

  Description copied from class: `NodePointer`
  If this pointer manages a transparent container, like a variable, this method returns the pointer to the contents. Only an auxiliary (non-node) pointer can (and should) return a value pointer other than itself. Note that you probably don't want to override `getValuePointer()` directly. Override the `getImmediateValuePointer()` method instead. The `getValuePointer()` method is calls `getImmediateValuePointer()` and, if the result is not `this`, invokes `getValuePointer()` recursively. The idea here is to open all nested containers. Let's say we have a container within a container within a container. The `getValuePointer()` method should then open all those containers and return the pointer to the ultimate contents. It does so with the above recursion.
  Overrides:
    `getValuePointer` in class `NodePointer`

### isActualProperty

    protected boolean isActualProperty()

  Overrides:
    `isActualProperty` in class `PropertyPointer`

### isActual

    public boolean isActual()

  Description copied from class: `NodePointer`
  An actual pointer points to an existing part of an object graph, even if it is null. A non-actual pointer represents a part that does not exist at all. For instance consider the pointer "/address/street". If both address and street are not null, the pointer is actual. If address is not null, but street is null, the pointer is still actual. If address is null, the pointer is not actual. (In JavaBeans) if address is not a property of the root bean, a Pointer for this path cannot be obtained at all - actual or otherwise.
  Overrides:
    `isActual` in class `PropertyPointer`

### isContainer

    public boolean isContainer()

  Description copied from class: `NodePointer`
  If true, this node is axiliary and can only be used as an intermediate in the chain of pointers.
  Overrides:
    `isContainer` in class `NodePointer`

### setValue

    public void setValue(java.lang.Object value)

  Description copied from class: `NodePointer`
  Converts the value to the required type and changes the corresponding object to that value.
  Overrides:
    `setValue` in class `NodePointer`

### createPath

    public NodePointer createPath(JXPathContext context)

  Description copied from class: `NodePointer`
  Called by a child pointer when it needs to create a parent object. Must create an object described by this pointer and return a new pointer that properly describes the new object.
  Overrides:
    `createPath` in class `PropertyPointer`

### createPath

    public NodePointer createPath(JXPathContext context,
                                  java.lang.Object value)

  Description copied from class: `NodePointer`
  Called directly by JXPathContext. Must create path and set value.
  Overrides:
    `createPath` in class `PropertyPointer`

### createChild

    public NodePointer createChild(JXPathContext context,
                                   QName name,
                                   int index)

  Description copied from class: `NodePointer`
  Called by a child pointer when it needs to create a parent object for a non-existent collection element. It may have to expand the collection, then create an element object and return a new pointer describing the newly created element.
  Overrides:
    `createChild` in class `PropertyPointer`

### createChild

    public NodePointer createChild(JXPathContext context,
                                   QName name,
                                   int index,
                                   java.lang.Object value)

  Description copied from class: `NodePointer`
  Called by a child pointer if that child needs to assign the value supplied in the createPath(context, value) call to a non-existent node. This method may have to expand the collection in order to assign the element.
  Overrides:
    `createChild` in class `PropertyPointer`

### getPropertyName

    public java.lang.String getPropertyName()

  Overrides:
    `getPropertyName` in class `PropertyPointer`

### setPropertyName

    public void setPropertyName(java.lang.String propertyName)

  Overrides:
    `setPropertyName` in class `PropertyPointer`

### setNameAttributeValue

    public void setNameAttributeValue(java.lang.String attributeValue)

### isCollection

    public boolean isCollection()

  Description copied from class: `NodePointer`
  Returns `true` if the value of the pointer is an array or a Collection.
  Overrides:
    `isCollection` in class `PropertyPointer`

### getPropertyCount

    public int getPropertyCount()

  Overrides:
    `getPropertyCount` in class `PropertyPointer`

### getPropertyNames

    public java.lang.String[] getPropertyNames()

  Overrides:
    `getPropertyNames` in class `PropertyPointer`

### asPath

    public java.lang.String asPath()

  Description copied from class: `NodePointer`
  Returns an XPath that maps to this Pointer.
  Overrides:
    `asPath` in class `NodePointer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.